<template>
  <ob-modal
    ref="logchainsModalHelp"
    size="medium"
    isShowControls
    okText="Понятно"
    cancelText=""
    data-qa="logchainModalHelp"
    custom-class="ob-logchains-modal-help-wrapper"
    @submit="$emit('submit')"
    @cancel="$emit('submit')"
  >
    <template v-slot:title>
      <div class="title">
        <div class="ob-ty-modal-title">
          <i class="icon call-center"></i>
          Необходима помощь менеджера
        </div>
      </div>
    </template>
    <div class="ob-logchain-modal">
      <p>
        Мы не смогли найти подходящие варианты по вашему запросу автоматически,
        но завершить оформление заказа можно в ручном режиме, обратившись к
        менеджеру:
      </p>
      <p>
        Телефон:
        <a :href="`tel:${$options.contacts[platform].linkphone}`">{{
          $options.contacts[platform].phone
        }}</a>
        с 9:00 до 18:00 с пн-пт
        <br />
        Номер вашего заказа: {{ orderNumber }}
      </p>
      <p>
        Предложения и пожелания по работе системы вы можете отправить в службу
        технической поддержки на
        <a :href="`mailto:${$options.contacts[platform].email}`">{{
          $options.contacts[platform].email
        }}</a>
      </p>
    </div>
  </ob-modal>
</template>

<script>
import { contacts } from "@/resources/contacts";
import ObModal from "common-components/src/obComponents/obModal";

export default {
  name: "orderLogchainHelp",

  props: {
    orderNumber: {
      type: String,
      required: true
    }
  },

  components: {
    ObModal,
  },

  contacts,

  computed: {
    platform() {
      return window.OBOZ_CONFIG.OBOZ_API_HOST.includes("oboz")
        ? "oboz"
        : "gruzi";
    },
  },

  methods: {
    open() {
      this.$refs.logchainsModalHelp.open();
    },
    close() {
      this.$refs.logchainsModalHelp.close();
    },
  },
};
</script>

<style lang="scss">
@import "~common-components/src/static/css/variables";
@import "~common-components/src/static/css/mixins";

.ob-logchains-modal-help-wrapper {
  .ob-ty-modal-title i {
    color: $blue-700;
  }

  a {
    text-decoration: none;
    color: $color-blue-smalt;
  }

  .modal-footer {
    button:last-child {
      display: none;
    }
  }
}
</style>
